function [x,n]=secanti_grafico(fun,x0,k,toll,xin,xfin)
%[x,n]=secanti_grafico(fun,x0,k,toll,xin,xfin)
%calcola la soluzione dell'equazione fun(x)=0,
%con il metodo delle secanti, disegnando il grafico relativo
%x0 e' il dato iniziale
%k e' la pendenza
%toll e' la tolleranza sulla soluzione
%xin e xfin sono i valori estremi dell'asse x per il disegno
%x e' la soluzione, n il numero di iterazioni

xcorr=x0;

MAXITER=1000; %numero massimo consentito di iterazioni
figure;
fplot(fun,[xin xfin]);
grid on;
hold on;
xsucc=xcorr-feval(fun,x0)/k;
line([xcorr, xsucc],[feval(fun,xcorr),0]);

n=1;
while(abs(xcorr-xsucc)>toll)&&(n<MAXITER)
    n=n+1;
    xcorr=xsucc;
    xsucc=xcorr-feval(fun,xcorr)/k;
    line([xcorr, xsucc],[feval(fun,xcorr),0]);

end

if n==MAXITER
    error('Mancata convergenza');
end

x=xsucc;

end
